Subject: Re: bug#9280: 24.0.50; default value of epa-file-select-keys should be nil

From: Stefan Monnier <[email-masked]>
Date: Thu, 11 Aug 2011 09:18:01 -0400

> I disagree with this change of the default value of
> epa-file-select-keys in the sense that I find the current "silent"
> default behavior too brief for unexperienced users (like myself
> until recently).

I tend to agree.

> Part of the problem is that for symmetric encryption gpg will simply
> pop up a pinentry window saying "enter passphrase". But nothing tells
> the user that the file he or she wants to save is just about to go
> through symmetric encryption (and not any other encryption mechanism
> the user might hope for).

The "enter passphrase" dialog should at the very least indicate what
kind of passphrase is expected (in this case a passphrase for symmetric
encryption).

        Stefan